-- TODO: Use safe sandboxed environment
--require 'Scripts/safe_load.lua'

creditsLayer = CreditsLayer:create()

creditsLayer:addTitle("Created")
creditsLayer:addSubtitle("By")
creditsLayer:offsetNextLineBy(15.5)
creditsLayer:addImage("Images/UI/MainMenu/logo_doublestallion.png")
creditsLayer:offsetNextLineBy(-11.0)
creditsLayer:addText("Eric Angelillo")
creditsLayer:addText("Nicolas Barriere-Kucharski")
creditsLayer:addText("Stephane Beniak")
creditsLayer:addText("Chloe Chan")
creditsLayer:addText("Vincent Hippoman")
creditsLayer:addText("Daniel Menard")
creditsLayer:offsetNextLineBy(31.5)

creditsLayer:addTitle("Published")
creditsLayer:addSubtitle("By")
creditsLayer:offsetNextLineBy(-12.0)
creditsLayer:addImage("Images/UI/MainMenu/logo_XL.png")
creditsLayer:offsetNextLineBy(-16.0)
creditsLayer:addText("Behrouz Bayat")
creditsLayer:addText("Lysiane Charest")
creditsLayer:addText("Jason Della Rocca")
creditsLayer:addText("Annie Forte")
creditsLayer:addText("Keith Katz")
creditsLayer:addText("Alex Normand")
creditsLayer:offsetNextLineBy(31.5)

creditsLayer:addTitle("MusicAndAudio")
creditsLayer:addSubtitle("By")
creditsLayer:offsetNextLineBy(14.5)
creditsLayer:addImage("Images/UI/MainMenu/logo_vibe.png")
creditsLayer:offsetNextLineBy(-6.5)
creditsLayer:addText("FX Dupas")
creditsLayer:addText("Mathieu Lavoie")
creditsLayer:addText("Anne-Sophie Mongeau")
creditsLayer:offsetNextLineBy(31.5)

creditsLayer:addTitle("QualityAssurance")
creditsLayer:addSubtitle("By")
creditsLayer:offsetNextLineBy(3.5)
creditsLayer:addText("Babel Media")
creditsLayer:addText("Alexandre Cote Benoit")
creditsLayer:offsetNextLineBy(31.5)

creditsLayer:addTitle("Thanks")
creditsLayer:addSubtitle("To")
creditsLayer:offsetNextLineBy(3.5)
creditsLayer:addText("Thiery Adam")
creditsLayer:addText("Alexandre Benichou")
creditsLayer:addText("Yves Bordeleau")
creditsLayer:addText("Marc-Andre Caron") -- Crashes if you put an accent...
creditsLayer:addText("Carey Chico")
creditsLayer:addText("Guillaume Germain")
creditsLayer:addText("Rami Ismail")
creditsLayer:addText("Jenkins")
creditsLayer:addText("Lateef Martin")
creditsLayer:addText("Laurent Mascherpa")
creditsLayer:addText("Tamir Nadav")
creditsLayer:addText("Laura Newman")
creditsLayer:addText("Arthur Price")
creditsLayer:addText("Aliena Shoemaker")
creditsLayer:addText("Jen Whitson")
creditsLayer:addText("Samantha Youssef")
creditsLayer:offsetNextLineBy(11.5)

creditsLayer:addText("Imaginary Games")
creditsLayer:addText("Kitfox Games")
creditsLayer:addText("Lightning Rod Games")
creditsLayer:addText("Norsfell Games")
creditsLayer:addText("Pixel Crucible")
creditsLayer:addText("Silver Dice")
creditsLayer:addText("Tribute Games")
creditsLayer:offsetNextLineBy(31.5)

creditsLayer:addTextKey("FriendsAndFamily")
creditsLayer:offsetNextLineBy(31.5)

creditsLayer:addTextKey("WwiseCopyright")
creditsLayer:offsetNextLineBy(3.5)
creditsLayer:addImage("Images/UI/MainMenu/logo_wwise.png")

creditsLayer:addTextKey("VorbisCopyright")
creditsLayer:offsetNextLineBy(3.5)

creditsLayer:addImage("Images/UI/MainMenu/logo_marmalade.png")

creditsLayer:addImage("Images/UI/MainMenu/logo_cocos2dx.png")

return creditsLayer
